org.modeshape.jcr.query.model

## Enum JoinType

- java.lang.Object
- - java.lang.Enum<JoinType>
  - - org.modeshape.jcr.query.model.JoinType

- All Implemented Interfaces:
    Serializable, Comparable<JoinType>, Readable

      public enum JoinType
      extends Enum<JoinType>
      implements Readable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CROSS`
    `FULL_OUTER`
    `INNER`
    `LEFT_OUTER`
    `RIGHT_OUTER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JoinType` | `forSymbol(String symbol)` Attempt to find the JoinType given a symbol.
    `String` | `getString()` Get the string representation of this query object.
    `boolean` | `isOuter()` Check if this join type is an outer join.
    `String` | `symbol()`
    `String` | `toString()`
    `static JoinType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INNER

          public static final JoinType INNER

    - #### LEFT_OUTER

          public static final JoinType LEFT_OUTER

    - #### RIGHT_OUTER

          public static final JoinType RIGHT_OUTER

    - #### FULL_OUTER

          public static final JoinType FULL_OUTER

    - #### CROSS

          public static final JoinType CROSS

  - ### Method Detail

    - #### values

          public static JoinType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JoinType c : JoinType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JoinType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### symbol

          public String symbol()

      Returns:
        symbol

    - #### isOuter

          public boolean isOuter()

      Check if this join type is an outer join.
      Returns:
        true if left/right/full outer, or false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<JoinType>`

    - #### forSymbol

          public static JoinType forSymbol(String symbol)

      Attempt to find the JoinType given a symbol. The matching is done independent of case.
      Parameters:
        `symbol` - the symbol
      Returns:
        the JoinType having the supplied symbol, or null if there is no JoinType with the supplied symbol
      Throws:
        `IllegalArgumentException` - if the symbol is null

    - #### getString

          public String getString()

      Description copied from interface: `Readable`
      Get the string representation of this query object.
      Specified by:
        `getString` in interface `Readable`
      Returns:
        the string representation; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.